com.tibco.n2.service.adapter.binding

## Interface EventCollectorQueryService

- All Known Implementing Classes:
    EventCollectorQueryService

      public interface EventCollectorQueryService

  Interface to provide the `EventCollectorQueryService` methods.

  ©2011 TIBCO Software Inc.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.ec.api.base.GenericResult` | `executeGenericQuery(com.tibco.n2.ec.api.base.Query query, com.tibco.n2.ec.api.base.QueryOptions queryOptions)` Execute a specified query in-line without registration.
    `com.tibco.n2.ec.api.base.GenericResult` | `executeRegisteredGenericQuery(com.tibco.n2.ec.api.base.QueryIdentifier id, com.tibco.n2.ec.api.base.QueryOptions queryOptions)` Execute a query which has previously been registered in Event Collector.
    `com.tibco.n2.ec.api.base.AttributeDefinition[]` | `getAllAttributes()` Deprecated.
    `com.tibco.n2.ec.api.base.AttributeDefinition[]` | `getAllAttributes(com.tibco.n2.ec.api.base.GetAttributeOptions options)`
    `com.tibco.n2.ec.api.base.AttributeDefinition[]` | `getAttributes(long componentId)` Deprecated.
    `com.tibco.n2.ec.api.base.AttributeDefinition[]` | `getAttributes(long componentId, com.tibco.n2.ec.api.base.GetAttributeOptions options)`
    `com.tibco.n2.ec.api.base.Component[]` | `getComponents()` Return the list of components registered in Event Collector.
    `boolean` | `isQueryRegistered(com.tibco.n2.ec.api.base.QueryIdentifier id)` Confirm whether a given query has previously been registered on the system.
    `com.tibco.n2.ec.api.base.QueryInfo` | `lookupQueryByTag(java.lang.String tag)` Obtain the unique identifier for a query specified by it's tag.
    `com.tibco.n2.ec.api.base.QueryIdentifier` | `registerQuery(java.lang.String tag, com.tibco.n2.ec.api.base.Query query)` Register a query with the EC DB.
    `void` | `unRegisterQuery(com.tibco.n2.ec.api.base.QueryIdentifier id)` Unregister a query from EC.

- - ### Method Detail

    - #### executeGenericQuery

          com.tibco.n2.ec.api.base.GenericResult executeGenericQuery(com.tibco.n2.ec.api.base.Query query,
                                                                     com.tibco.n2.ec.api.base.QueryOptions queryOptions)
                                                              throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                     com.tibco.n2.ec.services.InvalidQueryFault,
                                                                     com.tibco.n2.ec.services.InternalServiceFault,
                                                                     com.tibco.n2.ec.services.QueryExecutionFault,
                                                                     com.tibco.n2.ec.services.SecurityFault

      Execute a specified query in-line without registration.
      Parameters:
        `query` -
        `queryOptions` -
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InvalidQueryFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.QueryExecutionFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### executeRegisteredGenericQuery

          com.tibco.n2.ec.api.base.GenericResult executeRegisteredGenericQuery(com.tibco.n2.ec.api.base.QueryIdentifier id,
                                                                               com.tibco.n2.ec.api.base.QueryOptions queryOptions)
                                                                        throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                               com.tibco.n2.ec.services.InvalidQueryIdentifierFault,
                                                                               com.tibco.n2.ec.services.InternalServiceFault,
                                                                               com.tibco.n2.ec.services.QueryExecutionFault,
                                                                               com.tibco.n2.ec.services.QueryNotFoundFault,
                                                                               com.tibco.n2.ec.services.SecurityFault

      Execute a query which has previously been registered in Event Collector.
      Parameters:
        `id` -
        `queryOptions` -
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InvalidQueryIdentifierFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.QueryExecutionFault`
        `com.tibco.n2.ec.services.QueryNotFoundFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### registerQuery

          com.tibco.n2.ec.api.base.QueryIdentifier registerQuery(java.lang.String tag,
                                                                 com.tibco.n2.ec.api.base.Query query)
                                                          throws com.tibco.n2.ec.services.DuplicateRegistrationFault,
                                                                 com.tibco.n2.ec.services.InvalidQueryIdentifierFault,
                                                                 com.tibco.n2.ec.services.InvalidRequestFault,
                                                                 com.tibco.n2.ec.services.InvalidQueryFault,
                                                                 com.tibco.n2.ec.services.InternalServiceFault,
                                                                 com.tibco.n2.ec.services.SecurityFault

      Register a query with the EC DB.
      Parameters:
        `tag` -
        `query` -
      Returns:
      Throws:
        `com.tibco.n2.ec.services.DuplicateRegistrationFault`
        `com.tibco.n2.ec.services.InvalidQueryIdentifierFault`
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InvalidQueryFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### unRegisterQuery

          void unRegisterQuery(com.tibco.n2.ec.api.base.QueryIdentifier id)
                        throws com.tibco.n2.ec.services.InvalidQueryIdentifierFault,
                               com.tibco.n2.ec.services.InvalidRequestFault,
                               com.tibco.n2.ec.services.QueryNotFoundFault,
                               com.tibco.n2.ec.services.InternalServiceFault,
                               com.tibco.n2.ec.services.SecurityFault

      Unregister a query from EC.
      Parameters:
        `id` -
      Throws:
        `com.tibco.n2.ec.services.InvalidQueryIdentifierFault`
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.QueryNotFoundFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### isQueryRegistered

          boolean isQueryRegistered(com.tibco.n2.ec.api.base.QueryIdentifier id)
                             throws com.tibco.n2.ec.services.InvalidRequestFault,
                                    com.tibco.n2.ec.services.InvalidQueryIdentifierFault,
                                    com.tibco.n2.ec.services.InternalServiceFault,
                                    com.tibco.n2.ec.services.SecurityFault

      Confirm whether a given query has previously been registered on the system.
      Parameters:
        `id` -
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InvalidQueryIdentifierFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getAllAttributes

          @Deprecated
          com.tibco.n2.ec.api.base.AttributeDefinition[] getAllAttributes()
                                                                               throws com.tibco.n2.ec.services.InternalServiceFault,
                                                                                      com.tibco.n2.ec.services.SecurityFault

      Deprecated.
      This method returns all the attributes registered in the Event Collector Database.
      Parameters:
        `options` -
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getAllAttributes

          com.tibco.n2.ec.api.base.AttributeDefinition[] getAllAttributes(com.tibco.n2.ec.api.base.GetAttributeOptions options)
                                                                   throws com.tibco.n2.ec.services.InternalServiceFault,
                                                                          com.tibco.n2.ec.services.SecurityFault

      Throws:
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getAttributes

          @Deprecated
          com.tibco.n2.ec.api.base.AttributeDefinition[] getAttributes(long componentId)
                                                                            throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                                   com.tibco.n2.ec.services.NoSuchComponentFault,
                                                                                   com.tibco.n2.ec.services.InternalServiceFault,
                                                                                   com.tibco.n2.ec.services.SecurityFault

      Deprecated.
      This method returns all the attributes registered with a specific component in the Event Collector Database
      Parameters:
        `componentId` -
        `options` -
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.NoSuchComponentFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getAttributes

          com.tibco.n2.ec.api.base.AttributeDefinition[] getAttributes(long componentId,
                                                                       com.tibco.n2.ec.api.base.GetAttributeOptions options)
                                                                throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                       com.tibco.n2.ec.services.NoSuchComponentFault,
                                                                       com.tibco.n2.ec.services.InternalServiceFault,
                                                                       com.tibco.n2.ec.services.SecurityFault

      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.NoSuchComponentFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getComponents

          com.tibco.n2.ec.api.base.Component[] getComponents()
                                                      throws com.tibco.n2.ec.services.InternalServiceFault,
                                                             com.tibco.n2.ec.services.SecurityFault

      Return the list of components registered in Event Collector.
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### lookupQueryByTag

          com.tibco.n2.ec.api.base.QueryInfo lookupQueryByTag(java.lang.String tag)
                                                       throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                              com.tibco.n2.ec.services.QueryNotFoundFault,
                                                              com.tibco.n2.ec.services.InternalServiceFault,
                                                              com.tibco.n2.ec.services.SecurityFault

      Obtain the unique identifier for a query specified by it's tag.
      Parameters:
        `tag` -
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.QueryNotFoundFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.